#include <EP11Shield.h>

const uint8_t sine_table[32] = {
	32, 38, 44, 49, 54, 58, 61, 62, 63, 62, 61, 58, 54, 49, 44, 38,
	32, 26, 20, 15, 10,  6,  3,  2,  1,  2,  3,  6, 10, 15, 20, 26
};

uint8_t sine_idx = 0;

void setup() {
	// EP11 Shield Bibliothek initialisieren
	EP11Shield::begin();	
}

void loop() {
	EP11Shield::DACwrite(sine_table[sine_idx]);
	sine_idx = (sine_idx + 1) % 32;
	delay(10);
}
